<?php if(IsSet($kod) && $kod== "5e7c"):?>
<h1>Research Topics</h1>
<ul class="sez">
  <li class="liche"> Physical design algorithms for FPGAs</li>
  <li class="sude"> Reliability and diagnostics of logic circuits</li>
  <li class="liche"> Arithmetics and cryptography</li>
  <li class="sude"> High-level specification for FPGAs and applications</li>
  <li class="liche"> Logic synthesis</li>
</ul>


<h1> Areas of interest</h1>
<ul class="sez">
  <li class="liche"> Physical design algorithms for field-programmable gate arrays (FPGAs).</li>
  <li class="sude"> Petri nets and their hardware implementation.</li>
  <li class="liche"> Optimal FSM implementation in FPGAs.</li>
  <li class="sude"> Minimization of Boolean functions.</li>
  <li class="liche"> Decomposition of combinational circuits</li>
  <li class="sude"> Generation of benchmarks for physical design algorithms.</li>
  <li class="liche"> Reliability and diagnostics of electronic circuits, design of FPGA architectures with respect to self-diagnostics.</li>
  <li class="sude"> Design of off-line and on-line BIST</li>
  <li class="liche"> Precision and modular arithmetics, FPGA implementations of arithmetic units.</li>
  <li class="sude"> Reconfigurable computing, FPGA-based accelerators.</li>
  <li class="liche"> Acceleration of ECDSA-based cryptography algorithms.</li>
  <li class="sude"> Self-adapting systems based on evolutionary algorithms.</li>
</ul>

<h1>Funding</h1>
<h2>Grants</h2>
<ul class="sez">
	<li class="liche"><a target="_blank" href="http://cs.felk.cvut.cz/webis/en/research_/g16423.html">Innovation of Laboratory for Education of SoC Digital Design</a> (FRVS, 2005)</li>
	<li class="sude"><a target="_blank" href="http://cs.felk.cvut.cz/webis/en/research_/g17296.html">Use of speculative computation for arithmetic accelerating</a> (CTU, 2005)</li>
	<li class="liche"><a target="_blank" href="http://cs.felk.cvut.cz/webis/en/research_/g15261.html">Modern Methods of Digital System Synthesis</a> (GA102/04/0737, 2004-2006)</li>
	<li class="sude"><a target="_blank" href="http://cs.felk.cvut.cz/webis/en/research_/g15262.html">Design of Highly Reliable Control Systems Built on Dynamically Reconfigurable FPGAs</a> (GA102/04/2137, 2004-2006)</li>

</ul>

<h1>Cooperating Institutions</h1>
<ul class="sez">
  <li class="liche"><a target="_blank" href="http://www.utia.cas.cz">UTIA</a> at the <a target="_blank" href="http://www.cas.cz">Czech Academy of Science</a></li>
  <li class="sude"><a target="_blank" href="http://www.s3group.cz">Silicon and Software Systems CR</a></li>
  <li class="liche"><a target="_blank" href="http://www.csm.uwe.ac.uk/icsc">ICSC</a> at the <a target="_blank" href="http://www.uwe.ac.uk">University of the West of England</a> </li>
  <li class="sude"><a target="_blank" href="http://www.asicentrum.cz">ASICentrum</a> </li>
  <li class="liche"><a target="_blank" href="http://www.fit.vutbr.cz/units/UPSY">UPSY</a> , <a target="_blank" href="http://www.fit.vutbr.cz">Faculty of Information Technology</a> at <a target="_blank" href="http://www.vutbr.cz">Brno University of Technology</a> </li>
  <li class="sude"><a target="_blank" href="http://www.fm.vslib.cz/htm/naviga_eng.htm">Faculty of Mechatronics</a> at the <a target="_blank" href="http://www.vslib.cz">Technical University of Liberec</a></li>
  <li class="liche"><a target="_blank" href="http://www.zcu.cz/index-en.html">University of West Bohemia</a> </li>
</ul>
<?php endif;?>

